﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace Sample.Models
{
    public class EmployeeModel
    {
        [Range(1, 9, ErrorMessage = "EmployeeID must be greater than 0.")]
        public int EmployeeID
        {
            get;
            set;
        }

        [StringLength(25, ErrorMessage = "FirstName is required.")]
        public string FirstName
        {
            get;
            set;
        }

        [StringLength(25, ErrorMessage = "LastName is required.")]
        public string LastName
        {
            get;
            set;
        }

        [StringLength(25, ErrorMessage = "Title is required.")]
        public string Title
        {
            get;
            set;
        }

        [RegularExpression(@"^(0[1-9]|1[012])[- /.](0[1-9]|[12][0-9]|3[01])[- /.](19|20)\d\d$", ErrorMessage = "Date is required")]
        public DateTime? BirthDate
        {
            get;
            set;
        }

        [RegularExpression(@"^(0[1-9]|1[012])[- /.](0[1-9]|[12][0-9]|3[01])[- /.](19|20)\d\d$", ErrorMessage = "Date is required")]
        public DateTime? HireDate
        {
            get;
            set;
        }        

        [StringLength(15, ErrorMessage = "City must be 15 characters.")]
        public string City
        {
            get;
            set;
        }

        [StringLength(15, ErrorMessage = "Country must be 15 characters.")]
        public string Country
        {
            get;
            set;
        }

        public int? ReportsTo
        {
            get;
            set;
        }
    }
}